Bug 1031316 - Review Request: rubygem-rdtool - Formatter for RD
Review Request: rubygem-rdtool - Formatter for RD
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ken Dreyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1031317
  Show dependency treegraph
 
Reported: 2013-11-16 14:15 EST by Mamoru TASAKA
Modified: 2013-11-27 02:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 02:00:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ktdreyer: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2013-11-16 14:15:14 EST
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rabbit-related/rubygem-rdtool.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rabbit-related/rubygem-rdtool-0.6.38-1.fc.src.rpm
Description: 
RD is multipurpose documentation format created for documentating Ruby and
output of Ruby world. You can embed RD into Ruby script. And RD have neat
syntax which help you to read document in Ruby script. On the other hand, RD
have a feature for class reference.

Fedora Account System Username: mtasaka

Copr build:
http://copr-be.cloud.fedoraproject.org/results/mtasaka/rabbit-test/
Comment 1 Ken Dreyer 2013-11-22 14:43:39 EST
I can take this review.
Comment 2 Ken Dreyer 2013-11-22 19:24:05 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
In order of preference:

- The RPM doesn't ship the LGPL'd file setup.rb, but it does ship an LGPL
  license file. You can exclude the LGPL-2.1 license file from the package.

- I recommend using HTTPS for the URL.

- I recommend removing the %doc designation from %{gem_instdir}/utils/ in the
  files listing. There's just code in that directory. 

- I recommend deleting the "Generated by gem2rpm" comment, since the version
  number will grow stale, and it doesn't really serve a purpose.

- I recommend filtering /usr/bin/ruby from Requires, since this is redundant
  with ruby(release).

I've opened https://github.com/uwabami/rdtool/issues/11 regarding the incorrect FSF address.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).
[x]: Package contains Requires: ruby(release).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Specfile should use macros from rubygem-devel package.
[x]: Gem package should exclude cached Gem.
[x]: Gem should use %gem_install macro.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
$ rpmlint rubygem-rdtool-0.6.38-1.fc21.noarch.rpm rubygem-rdtool-doc-0.6.38-1.fc21.noarch.rpm rubygem-rdtool-0.6.38-1.fc21.src.rpm
rubygem-rdtool.noarch: W: spelling-error Summary(en_US) Formatter -> Formatted, For matter, For-matter
rubygem-rdtool.noarch: W: spelling-error %description -l en_US documentating -> documentation, documenting, commentating
rubygem-rdtool.noarch: W: no-manual-page-for-binary rdswap
rubygem-rdtool.noarch: W: no-manual-page-for-binary rd2
rubygem-rdtool-doc.noarch: E: incorrect-fsf-address /usr/share/gems/gems/rdtool-0.6.38/utils/rd-mode.el
rubygem-rdtool.src: W: spelling-error Summary(en_US) Formatter -> Formatted, For matter, For-matter
rubygem-rdtool.src: W: spelling-error %description -l en_US documentating -> documentation, documenting, commentating
3 packages and 0 specfiles checked; 1 errors, 6 warnings.


Requires
--------
rubygem-rdtool (rpmlib, GLIBC filtered):
    /usr/bin/ruby
    ruby(release)
    ruby(rubygems)

rubygem-rdtool-doc (rpmlib, GLIBC filtered):
    rubygem-rdtool


Provides
--------
rubygem-rdtool:
    rubygem(rdtool)
    rubygem-rdtool

rubygem-rdtool-doc:
    rubygem-rdtool-doc


Source checksums
----------------
https://rubygems.org/gems/rdtool-0.6.38.gem :
  CHECKSUM(SHA256) this package     : d9d32e215c1958847001ca5940ad42aa8bcbdf984436f1235b9dbd300e4c74bc
  CHECKSUM(SHA256) upstream package : d9d32e215c1958847001ca5940ad42aa8bcbdf984436f1235b9dbd300e4c74bc
Comment 3 Mamoru TASAKA 2013-11-25 23:19:57 EST
Hello, thank you for review.
I've incorporated your comments, except for /usr/bin/ruby shebang requires, because I think it is natural that Requires shows what interpreter (non-doc) installed runtime scripts depend on.

http://mtasaka.fedorapeople.org/Review_request/rabbit-related/rubygem-rdtool.spec
http://mtasaka.fedorapeople.org/Review_request/rabbit-related/rubygem-rdtool-0.6.38-2.fc.src.rpm

* Mon Nov 25 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.6.38-2
- Incorporate comments on review request (bug 1031316)
Comment 4 Ken Dreyer 2013-11-26 01:58:33 EST
Looks good! Package approved.
Comment 5 Mamoru TASAKA 2013-11-26 03:21:03 EST
Thank you!

New Package SCM Request
=======================
Package Name: rubygem-rdtool
Short Description: Formatter for RD
Owners: mtasaka
Branches: f19 f20
Comment 6 Gwyn Ciesla 2013-11-26 08:25:05 EST
Git done (by process-git-requests).
Comment 7 Mamoru TASAKA 2013-11-27 02:00:25 EST
Rebuilt on all branches, push request on F-20/19, closing.

Thank you for review and git procedure.

Note You need to log in before you can comment on or make changes to this bug.